#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Blowfish
Summary:	Crypt::Blowfish - Perl Blowfish encryption module
Summary(pl.UTF-8):	Crypt::Blowfish - moduł Perla dla szyfrowania Blowfish
Name:		perl-Crypt-Blowfish
Version:	2.14
Release:	6
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	792b43cd4e49d2c2cf4a9f6990ff7d1b
URL:		https://metacpan.org/dist/Crypt-Blowfish
%{?with_tests:BuildRequires:	perl-Crypt-CBC >= 1.22}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Blowfish Perl module contains an implementation of the Blowfish
cryptography algorithm.

%description -l pl.UTF-8
Moduł Perla Crypt::Blowfish zawiera implementację algorytmu
kryptograficznego Blowfish.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes COPYRIGHT README
%{perl_vendorarch}/Crypt/Blowfish.pm
%dir %{perl_vendorarch}/auto/Crypt/Blowfish
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Blowfish/Blowfish.so
%{_mandir}/man3/Crypt::Blowfish.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Blowfish.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 1ff252a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> a2c58be
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3676814
- rebuild with perl 5.34.0

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 0df595b
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e7ff04b
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7751613
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 0b80216
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 07235a4
- updated to 2.14

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d15c7bb
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7d14439
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 17da7fa
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f14866c
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8bbe97d
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 798eea2
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4babb7d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3439321
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2951a02
- rel 3; build fix

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 08620df
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> e066060
- gpm-friendly Source URL
- Crypt::CBC version
- verbose man files

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> b7ac1d8
- up to 2.12

